Bug Hunting Session
Bug 88742 - Using of the Term “Properties” in Sidebar is a Bit Unfortunate
Summary: Using of the Term “Properties” in Sidebar is a Bit Unfortunate
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.4.0.2 rc
Hardware: Other All
: medium enhancement
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.0.0
Keywords:
Depends on:
Blocks: Sidebar-UI-UX
  Show dependency treegraph
 
Reported: 2015-01-23 11:03 UTC by Harald Koester
Modified: 2017-12-21 14:35 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Harald Koester 2015-01-23 11:03:33 UTC
The term “Properties” is used as a heading for different formatting issues in the sidebar. But it is also used for the document properties (Menu: File > Properties...). This may lead to misunderstandings. Hence I propose to change the heading in the sidebar to the term “Formatting” or “Format”. To my opinion “Formatting” or “Format” also describes the content of this pane better and more clearly than “Properties”.
Comment 1 Robinson Tryon (qubit) 2015-01-23 11:48:07 UTC
One for the UX peeps.

Status -> NEW
Component -> ux-advise
Priority -> enhancement
Hardware -> (generalize)
Comment 2 Adolfo Jayme 2015-03-24 12:12:20 UTC
Sure, “Formatting” seems more descriptive. +1
Comment 3 Robinson Tryon (qubit) 2016-08-25 05:26:55 UTC Comment hidden (obsolete)
Comment 4 Heiko Tietze 2017-07-19 11:22:13 UTC
Properties -> Formatting
Styles and Formatting -> Styles

Let's talk about this in the design meeting.
Comment 5 V Stuart Foote 2017-07-19 12:28:32 UTC
(In reply to Heiko Tietze from comment #4)
> Properties -> Formatting
> Styles and Formatting -> Styles
> 

Given changes in menu/toolbars and sidebar to better support styles, the old "Styles and Formatting" dialog is really a styles deck, while the "Properties" deck really only shows formatting with other decks and dialogs needed for document properties.

+1 for both changes.
Comment 6 Yousuf Philips (jay) (retired) 2017-07-20 04:57:48 UTC
(In reply to Heiko Tietze from comment #4)
> Properties -> Formatting

-1 from me because properties is a better fit in my view than formatting and

1. 'Formatting' is a verb, while sidebar labels are nouns (e.g. Gallery)
2. 'Formatting' make some content panels labels less understandable (e.g. Style)
3. we use properties in the menu (e.g. Format > Image > Properties)
4. we use it in the context menu (e.g. Frame > right-click > Properties)
5. not all things in the deck can be classified as formatting (e.g. locking/unlocking the position of a shape [bug 90295])

Harald suggest 'Format' and similar to 'Formatting' it isnt a better fit in my view than 'Properties', but

1. we use it in the menu
2. iWork uses it[1], though it has content panels like 'Text', 'Image' which make sense and our content panels of 'Style' and 'Character' makes less sense when used 

[1] https://www.laptopmag.com/images/uploads/4008/g/pages-mac-sidebar.jpg

> Styles and Formatting -> Styles

+1 as most sidebar deck labels are single words and i never understood why even in the old days of it being a floating window it had 'and Formatting' in the name.
Comment 7 Heiko Tietze 2017-07-20 12:25:36 UTC
I would accept Formatting as deck title when style settings are included. 

Wouldn't use the term for specific object properties so the context and main menu keep the old term. 

But it's true that formatting is not the best term when, for instance, a shape is selected. In this context we provide access to area and line properties. Alternatives are: Attributes, Features, Characteristics (none is perfect but I like Attribute).
Comment 8 Jean-Baptiste Faure 2017-07-23 20:07:24 UTC
(In reply to Heiko Tietze from comment #4)
> Properties -> Formatting

-1.
I agree with Jay's arguments.

In my workflow, because I use styles, the panel properties is more a view of the formatting than a tools collection to format text. 
From a modern text editor point of view (LibreOffice is not a typewriter) the correct formatting panel is the styles panel.

Best regards. JBF
Comment 9 Heiko Tietze 2017-07-23 20:26:57 UTC
(In reply to Jean-Baptiste Faure from comment #8)
> I agree with Jay's arguments.

And how about 'Attributes'?
Comment 10 Jean-Baptiste Faure 2017-07-24 06:24:05 UTC
(In reply to Heiko Tietze from comment #9)
> (In reply to Jean-Baptiste Faure from comment #8)
> > I agree with Jay's arguments.
> 
> And how about 'Attributes'?

Why not ? :-)

Best regards. JBF
Comment 11 Kenneth Hanson 2017-07-26 04:05:43 UTC
Maybe this is just me, but I fail to see how "attributes" is an improvement over "properties" in this context. They mean nearly the same thing to me.

If the OP's main concern is making a distinction with File->Properties, how about following Inkscape's lead and changing that to "Document Properties" or something similar?
Comment 12 Heiko Tietze 2017-07-27 12:54:01 UTC
Decision was made in today's design meeting to keep the term 'Properties' and to rename 'Styles and Formatting' to 'Styles'.
Comment 13 Commit Notification 2017-08-10 16:24:17 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=772686adb99137733db79b7d1ab6ebb21bf93b4a

tdf#88742 Renaming of Styles deck

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 V Stuart Foote 2017-08-10 16:37:29 UTC
@Jay, Heiko -- something went wonky with the commit it emptied GenericCommands.xcu

https://cgit.freedesktop.org/libreoffice/core/commit/?id=772686adb99137733db79b7d1ab6ebb21bf93b4a
Comment 15 Samuel Mehrbrodt (CIB) 2017-08-11 06:34:20 UTC
(In reply to V Stuart Foote from comment #14)
> @Jay, Heiko -- something went wonky with the commit it emptied
> GenericCommands.xcu
> 
> https://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=772686adb99137733db79b7d1ab6ebb21bf93b4a

Fixed that, thanks for spotting! https://cgit.freedesktop.org/libreoffice/core/commit/?id=a52e11a2a54e24145f0ec8f7ddd6633f1bd9bc2b
Comment 16 Heiko Tietze 2017-08-11 07:28:21 UTC
Jay did the same yesterday evening https://gerrit.libreoffice.org/#/c/40992/ after my try with reverting and editing the patch https://gerrit.libreoffice.org/#/c/40989/, which wasn't successful ;-).
Comment 17 Adolfo Jayme 2017-08-11 07:36:27 UTC Comment hidden (spam)
Comment 18 Commit Notification 2017-10-13 06:39:25 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=eed5c5ab3aac37750b19cdab7f339a22b98f9f8e

tdf#88742 Better label for styles sidebar command in menu bar

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 19 Cor Nouws 2017-10-13 13:44:45 UTC
are proper notes made/bugs filed for Help content?
Comment 20 Yousuf Philips (jay) (retired) 2017-12-21 14:35:49 UTC
(In reply to Cor Nouws from comment #19)
> are proper notes made/bugs filed for Help content?

Bug 111651.